//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/box.h                                                    $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 6:56 PM                                               $
//
// Copyright (C) 1997 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Explodable box that falls when boxes below it are destroyed.
//

#ifndef __BOX_H__
#define __BOX_H__

#include "g_local.h"
#include "entity.h"

class Box : public Entity
{
private:
	float movetime;
	str items;
	qboolean setangles;

public:
	CLASS_PROTOTYPE( Box );

	Box();
	void                StartFalling( void );
	void                Falling( Event* ev );
	void                TellNeighborsToFall( void );
	virtual void    Killed( Event* ev );
	virtual void   Archive( Archiver& arc );
	virtual void   Unarchive( Archiver& arc );
};



#endif /* box.h */
